%define pypi_name jupyter_core

Name:           jupyter-core
Version:        4.7.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Core common functionality of Jupyter projects (tools)

License:        BSD
URL:            http://jupyter.org/
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3dist(setuptools)
Requires:       python3-%{name} = %{version}-%{release}
Obsoletes:      %{pypi_name}


%description
This software component contains the base framework (application
classes and configurations) for the rest of the Jupyter projects ; it
doesn't do much by itself.

This package contains the migration tool (off IPython before 4.0)
and a path-giving utility.


%package -n     python3-%{name}
Summary:        Core common functionality of Jupyter projects for Python 3
Group:          Development/Python
Obsoletes:      python3-%{pypi_name}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This software component contains the base framework (application
classes and configurations) for the rest of the Jupyter projects ; it
doesn't do much by itself.

This package installs the library for Python 3.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py3_build

%install
%py3_install

%files
%{_bindir}/jupyter
%{_bindir}/jupyter-migrate
%{_bindir}/jupyter-troubleshoot


%files -n python3-%{name}
%doc README.md
%license COPYING.md
%{python3_sitelib}/



%changelog
* Sat Nov 21 2020 guillomovitch <guillomovitch> 4.7.0-1.mga8
+ Revision: 1648105
- new version 4.7.0

* Wed Aug 19 2020 guillomovitch <guillomovitch> 4.6.3-1.mga8
+ Revision: 1615688
- new version 4.6.3

* Tue Feb 18 2020 umeabot <umeabot> 4.6.1-2.mga8
+ Revision: 1538572
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 4.6.1-1.mga8
+ Revision: 1462298
- new version: 4.6.1

* Sat Oct 12 2019 daviddavid <daviddavid> 4.6.0-1.mga8
+ Revision: 1452040
- new version: 4.6.0

* Mon Sep 16 2019 daviddavid <daviddavid> 4.4.0-4.mga8
+ Revision: 1442269
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 wally <wally> 4.4.0-3.mga7
+ Revision: 1350968
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.4.0-2.mga7
+ Revision: 1279168
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 4.4.0-1.mga7
+ Revision: 1222051
- Update to version 4.4.0

* Sat Aug 05 2017 pterjan <pterjan> 4.1.0-2.mga7
+ Revision: 1135235
- Rebuild for python 3.6
+ philippem <philippem>
- typo in description
- use correct package name
- rename without underscore
- rename the package without underscore
- change source and url

* Sun Apr 17 2016 philippem <philippem> 4.1.0-1.mga6
+ Revision: 1003226
- imported package jupyter_core

